
/* 1. Definições de Cores e Fontes */
:root {
    --main-green: #00ff00;
    --dark-bg: #000000;
    --highlight: #ffffff;
}

body {
    background-color: var(--dark-bg);
    color: var(--main-green);
    font-family: 'VT323', monospace;
    justify-content: center;
    margin: 5px;
    margin-top: 5px;
    padding: 2vw; /* Padding responsivo */
}

/* 2. Controle de Arte ASCII */
pre {
    font-family: "Courier New", Courier, monospace;
    line-height: 1;
    letter-spacing: 0;
    white-space: pre;
    color: var(--main-green);
    justify-self: center;
}

/* 3. Links e Navegação */
a {
    color: var(--highlight);
    text-decoration: none;
    padding: 2px 5px;
}

a:hover {
    background-color: var(--main-green);
    color: var(--dark-bg);
}

/* 4. Esconder elementos se necessário (ex: imagens) */
.terminal-only {
    display: block;
}

/* Estilo para simular o efeito de fósforo (Scanlines) em browsers modernos */
body::before {
    content: " ";
    display: block;
    position: fixed;
    top: 0; left: 0; bottom: 0; right: 0;
    background: linear-gradient(rgba(18, 16, 16, 0) 50%, rgba(0, 0, 0, 0.25) 50%), 
                linear-gradient(90deg, rgba(255, 0, 0, 0.06), rgba(0, 255, 0, 0.02), rgba(0, 0, 255, 0.06));
    z-index: 2;
    background-size: 100% 2px, 3px 100%;
    pointer-events: none;
}



@font-face {
    font-family: 'Frogblock';
    src: url('../assets/frogblock.woff2') format('woff2'),
         url('../assets/frogblock.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

.frog {
  font-family: "Frogblock";
  justify-self:center;
 
}

.abertura {

/* font-family: "Frogblock";*/
 font-weight: bold;
 font-size: .9rem;
 justify-self:left;
}

nav {
  font-family: "Frogblock";
  font-size: .8rem;
  justify-self: center;
}

@font-face {
    font-family: 'jgs7';
    src: url('../assets/jgs7.woff2') format('woff2'),
        url('../assets/jgs7.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'jgs5';
    src: url('../assets/jgs5.woff2') format('woff2'),
        url('../assets/jgs5.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'jgs9';
    src: url('../assets/jgs9.woff2') format('woff2'),
        url('../assets/jgs9.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

h2 {
 
font-family:"jgs7";
font-size: 42px;
}

.p1 {
  font-family: "jgs9";
  font-size: 26px;
  color: #ffffff
}

p {
  color: #ffffff;
}

.p2 {
  font-family: "jgs5";
  font-size: 20px;
  z-index: 3;
}

#warpper {
  border: double 2px green;
  border-radius: 4px;
  width: 80%;
  max-width: 1024px;
  padding: 0 100px;
  justify-self: center;
}

.major_text {
text-decoration: line-through;
}
